CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

    calibre-debug [opzioni]

Diverse interfacce da linea di comando utili per il debug di calibre. Senza opzioni, questo comando avvia un interprete Python integrato. Puoi anche avviare l'interfaccia principale di calibre, il lettore di e-book di calibre e l'editor di calibre in modalità debug.

Contiene anche interfacce per diverse parti di calibre che non hanno strumenti da linea di comando specifici, come la riduzione dei caratteri, lo strumento di comparazione e-book, ecc.

Puoi anche usare calibre-debug per avviare script stand-alone. Per farlo segui queste istruzioni: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Tutto ciò che segue i -- è passato allo script. Puoi anche usare calibre-debug come shabang negli script, in questo modo: #!/usr/bin/env -S calibre-debug -e -- --

Ogni qualvolta vengono passati argomenti con degli spazi a calibre-debug, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

[OPZIONI]

--add-simple-plugin
    Aggiungi un plugin semplice (es. un plugin composto dal solo file .py), specificando il percorso del file py contenente il codice del plugin.

--command, -c
    Esegui codice Python.

--debug-device-driver, -d
    Debug riconoscimento dispositivi

--default-programs
    Aggiungi/rimuovi calibre dai programmi predefiniti di Windows. --default-programs = (register|unregister)

--diff
    Esegui lo strumento diff di calibre. Ad esempio: calibre-debug --diff file1 file2

--edit-book
    Avvia lo strumento "Modifica libro" in modalità debug

--exec-file, -e
    Esegui codice Python nel file.

--explode-book, -x
    Frantuma il libro nella cartella specificata. Utilizzo: -x file.epub cartella_di_output Esporta il libro come collezione di file HTML e metadati, che puoi modificare usando strumenti pensati per l'HTML. Funziona con i file EPUB, AZW3, HTMLZ e DOCX.

--export-all-calibre-data
    Esporta tutti i dati di calibre (libri/impostazioni/plugin). Normalmente, ti verrà chiesta la cartella di esportazione e le librerie da esportare. Puoi anche specificarli come argomenti della riga di comando per saltare le domande. Utilizza percorsi assoluti per la cartella di esportazione e le librerie. La parola chiave speciale "all" può essere utilizzata per esportare tutte le librerie. Esempi: calibre-debug --export-all-calibre-data # per uso interattivo calibre-debug --export-all-calibre-data /percorso/per/vuoto/esporta/cartella /percorso/per/libreria/cartella1 /percorso/per/libreria2 calibre-debug --export-all-calibre-data /export/folder all # esporta tutte le librerie conosciute

--gui, -g
    Avvia l'interfaccia con il debug abilitato. Il risultato del debug è stampato su stdout e stderr.

--gui-debug
    Avvia l'interfaccia con una console di debug, registrando i log in un percorso specificato. Solo per uso interno, utilizza l'opzione -g per avviare l'interfaccia nella modalità debug

--help, -h
    mostra questo messaggio di aiuto ed esci

--implode-book, -i
    Ricompone un libro frantumato precedentemente. Utilizzo: -i cartella_di_output file.epub Importa il libro dai file in cartella_di_output che devono essere stati creati da una precedente chiamata a --explode-book. Assicurati di specificare lo stesso tipo di file utilizzato per la frantumazione.

--import-calibre-data
    Importa i dati esportati in precedenza

--inspect-mobi, -m
    Analizza i file MOBI nel percorso specifico

--kepubify
    Convert the specified EPUB file to KEPUB without doing a full conversion. This is what the Kobo driver does when sending files to the device.

--paths
    Fornisce i percorsi necessari per configurare l'ambiente di calibre

--run-plugin, -r
    Esegui un plugin con un'interfaccia a linea di comando. Per esempio: calibre-debug -r "Nome plugin" -- file1 --opzione1 Tutto ciò che segue il -- sarà passato al plugin come argomento.

--run-test, -t
    Esegui i(l) test nominato(i). Usa il valore speciale "all" per eseguirli tutti. Se il nome del test inizia con un punto, è interpretato come nome di un modulo. Se il nome del test inizia con @, è interpretato come nome di una categoria.

--run-without-debug
    Non eseguire con il flag DEBUG attivato

--shutdown-running-calibre, -s
    A causa di un'istanza calibre in esecuzione, se del caso, da arrestare. Nota che se ci sono lavori in esecuzione, essi saranno interrotti silenziosamente, perciò usala con attenzione.

--subset-font, -f
    Crea un sottoinsieme del carattere specificato. Usa -- dopo questa opzione per passare opzione al programma di riduzione caratteri.

--test-build
    Prova moduli binari in costruzione

--un-kepubify
    Convert the specified KEPUB file to EPUB without doing a full conversion. This is what the Kobo driver does when importing files from the device.

--version
    mostra la versione del programma ed esci

--viewer, -w
    Esegui lettore di e-book in modalità debug

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal